List all Tax Rates
curl --request GET \
--url https://eu.sequencehq.com/api/tax-rates \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/tax-rates"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/tax-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "d58bf2e3-7a5d-4900-8457-2521c6880f7d",
"versionId": "82ef6f1a-afc2-4a8d-b868-6d9c72bf395f",
"version": 0,
"isPublished": false,
"name": "UK Sales Tax",
"invoiceName": "Value Added Tax",
"invoiceShortName": "VAT",
"description": "Value Added Tax applied to sales in the UK",
"amount": "0.2",
"country": "GB",
"region": "London",
"taxCategoryId": "ce109c64-dcc0-487a-ac8c-e3237c60cdb6",
"isArchived": false,
"updatedAt": "2024-05-09T00:00:00Z"
}
],
"pagination": {
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
}This response has no body data.This response has no body data.This response has no body data.Tax Rates
List all Tax Rates
List all Tax Rates
GET
/
tax-rates
List all Tax Rates
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Query Parameters
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.next or pagination.previous to retrieve each page.
Response
OK
TaxRates
Show child attributes
Show child attributes
Example:
[
{
"id": "d58bf2e3-7a5d-4900-8457-2521c6880f7d",
"versionId": "82ef6f1a-afc2-4a8d-b868-6d9c72bf395f",
"version": 0,
"isPublished": false,
"name": "UK Sales Tax",
"invoiceName": "Value Added Tax",
"invoiceShortName": "VAT",
"description": "Value Added Tax applied to sales in the UK",
"amount": "0.2",
"country": "GB",
"region": "London",
"taxCategoryId": "ce109c64-dcc0-487a-ac8c-e3237c60cdb6",
"isArchived": false,
"updatedAt": "2024-05-09T00:00:00Z"
}
]
Results pagination
Show child attributes
Show child attributes
Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}
⌘I